/*
 * @Author: zc
 * @description 预警管理 -- 推送管理
 */
import request from '@/utils/request';
/**
 * @description 获取推送管理列表
 * @param {object}  params
 */
export const getEarlyPushList = (params?: object) => {
	return request({
		url: `/api/v1/Early/earlypush-pagelist`,
		method: 'get',
		params,
	});
}
/**
 * @description 新增推送
 * @param {object}  data
 */
export const addEarlyPush = (data: object) => {
	return request({
		url: `/api/v1/Early/add-earlypush`,
		method: 'post',
		data,
	});
}
/**
 * @description 获取推送详情
 * @param {string}  id
 */
export const getEarlyPushDetail = (id: string) => {
	return request({
		url: `/api/v1/Early/getearlypush/${id}`,
		method: 'get',
	});
}